repo/gentoo:master commit in: gnome-base/nautilus/

"Pacho Ramos" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786023823.2793872093a400ecaa8220fd0b81e5d796d6976e.pacho@gentoo>
commit:     2793872093a400ecaa8220fd0b81e5d796d6976e
Author:     Lukas Schmelting <lschmelting <AT> posteo <DOT> com>
AuthorDate: Sun Jul 26 07:36:33 2026 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 13:43:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27938720

gnome-base/nautilus: fix doc handling

```
 * QA Notice: The ebuild is installing to one or more unexpected directories:
 *
 *   /usr/share/doc/nautilus
```

Closes: https://bugs.gentoo.org/976449
Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1503
Merges: https://codeberg.org/gentoo/gentoo/pulls/1503
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../{nautilus-49.6.ebuild => nautilus-49.6-r1.ebuild}     | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnome-base/nautilus/nautilus-49.6.ebuild b/gnome-base/nautilus/nautilus-49.6-r1.ebuild
similarity index 88%
rename from gnome-base/nautilus/nautilus-49.6.ebuild
rename to gnome-base/nautilus/nautilus-49.6-r1.ebuild
index a3177cf92398..f784416479bf 100644
--- a/gnome-base/nautilus/nautilus-49.6.ebuild
+++ b/gnome-base/nautilus/nautilus-49.6-r1.ebuild
@@ -13,8 +13,8 @@ SLOT="0"
 
 KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ~ppc64 ~riscv x86"
 
-IUSE="+cloudproviders doc gnome +gstreamer +introspection +previewer selinux"
-REQUIRED_USE="doc? ( introspection )"
+IUSE="+cloudproviders gtk-doc gnome +gstreamer +introspection +previewer selinux"
+REQUIRED_USE="gtk-doc? ( introspection )"
 
 DEPEND="
 	>=dev-libs/glib-2.84.0:2
@@ -43,7 +43,7 @@ BDEPEND="
 	>=dev-util/gdbus-codegen-2.80.5-r1
 	dev-util/glib-utils
 	dev-util/wayland-scanner
-	doc? (
+	gtk-doc? (
 		app-text/docbook-xml-dtd:4.1.2
 		dev-util/gi-docgen
 	)
@@ -77,7 +77,7 @@ src_prepare() {
 
 src_configure() {
 	local emesonargs=(
-		$(meson_use doc docs)
+		$(meson_use gtk-doc docs)
 		-Dextensions=true # image file properties, also required for -Dgstreamer=true
 		$(meson_use introspection)
 		-Dpackagekit=false
@@ -93,6 +93,13 @@ src_configure() {
 src_install() {
 	use previewer && readme.gentoo_create_doc
 	meson_src_install
+
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/html/"${PVR}"/ || die
+		mv "${ED}"/usr/share/doc/"${PN}"/* \
+			"${ED}"/usr/share/gtk-doc/html/"${PVR}"/ || die
+		rmdir "${ED}"/usr/share/doc/"${PN}"/ || die
+	fi
 }
 
 src_test() {
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.